function [DWT_Image] = lift_DWT_2D(Org_Image,P0,U0)

//**********************************
// 2次元ウェーブレット変換
// 使い方：
//  [DWT_Image] = lift_DWT_2D(Org_Image, P0, U0)
// 引数：
//  Org_Image : ウェーブレット変換するデータ(double型)
//  P0 : P0フィルタ係数
//  U0 : U0フィルタ係数
// 出力：
//  lift_DWT_Image : ウェーブレット変換後のデータ
//   　ウェーブレット変換後のデータは、以下のように並んでおります。
//      LL HL
//      LH HH
//**********************************
// 

// 鉛直方向のウェーブレット変換
DWT_Image = lift_DWT_1D(Org_Image',P0,U0);
// 水平方向のウェーブレット変換
DWT_Image = lift_DWT_1D(DWT_Image',P0,U0);
endfunction
