function [Ext_Image] = lift_IDWT_2D(DWT_Image,P0,U0)

//**********************************
// 2次元逆ウェーブレット変換
// 使い方：
//  [Ext_Image] = lift_IDWT_2D(DWT_Image, P0, U0)
// 引数：
//  lift_DWT_Image : ウェーブレット変換されているデータ(double型)
//   　ウェーブレット変換後のデータは、以下のように並べてください。
//      LL HL
//      LH HH
//  P0 : P0フィルタ係数
//  U0 : U0フィルタ係数
// 出力：
//  Ext_Image : ウェーブレット変換後のデータ
//**********************************
// 

// 水平方向の逆ウェーブレット変換
Ext_Image = lift_IDWT_1D(DWT_Image,P0,U0);
// 鉛直方向の逆ウェーブレット変換
Ext_Image = lift_IDWT_1D(Ext_Image',P0,U0);
Ext_Image = mtlb_t(Ext_Image);
endfunction
